## virtuoso-opensource-6.1.2.tar.xz

=== binsrc/tests/dotnet/VirtuosoClientSuite/Makefile ===
#
# $Id: Makefile,v 1.1.1.1 2006/04/11 17:56:11 source Exp $
#

DLL_SOURCES=\
 BlobTest.cs\
 CommandBuilderTest.cs\
 CommandTest.cs\
 ConnectionTest.cs\
 TransactionTest.cs\
 SqlXmlTest.cs\
 VirtuosoClientSuite.cs

DTC_DLL_SOURCES=\
 DtcTest.cs\
 AssemblyInfo.cs\
 VirtuosoDtcSuite.cs

REFERENCES=/reference:OpenLink.Testing.dll,OpenLink.Data.Virtuoso.dll
CLIENT_REFERENCES=/reference:OpenLink.Testing.dll,OpenLink.Data.VirtuosoClient.dll
ODBC_CLIENT_REFERENCES=/reference:OpenLink.Testing.dll,OpenLink.Data.VirtuosoOdbcClient.dll

all: \
	VirtuosoSuite.dll \
	VirtuosoClientSuite.dll \
	VirtuosoOdbcClientSuite.dll \
	VirtuosoDtcSuite.dll \
	VirtuosoDtcClientSuite.dll \
	VirtuosoDtcOdbcClientSuite.dll

VirtuosoSuite.dll: $(DLL_SOURCES) OpenLink.Testing.dll OpenLink.Data.Virtuoso.dll
	csc /target:library /out:$@ $(REFERENCES) $(DLL_SOURCES)

VirtuosoClientSuite.dll: $(DLL_SOURCES) OpenLink.Testing.dll OpenLink.Data.VirtuosoClient.dll
	csc /target:library /out:$@ /define:CLIENT $(CLIENT_REFERENCES) $(DLL_SOURCES)

VirtuosoOdbcClientSuite.dll: $(DLL_SOURCES) OpenLink.Testing.dll OpenLink.Data.VirtuosoOdbcClient.dll
	csc /target:library /out:$@ /define:ODBC_CLIENT $(ODBC_CLIENT_REFERENCES) $(DLL_SOURCES)

VirtuosoDtcSuite.dll: $(DTC_DLL_SOURCES) OpenLink.Testing.dll OpenLink.Data.Virtuoso.dll
	csc /target:library /out:$@ $(REFERENCES) $(DTC_DLL_SOURCES)

VirtuosoDtcClientSuite.dll: $(DTC_DLL_SOURCES) OpenLink.Testing.dll OpenLink.Data.VirtuosoClient.dll
	csc /target:library /out:$@ /define:CLIENT $(CLIENT_REFERENCES) $(DTC_DLL_SOURCES)

VirtuosoDtcOdbcClientSuite.dll: $(DTC_DLL_SOURCES) OpenLink.Testing.dll OpenLink.Data.VirtuosoOdbcClient.dll
	csc /target:library /out:$@ /define:ODBC_CLIENT $(ODBC_CLIENT_REFERENCES) $(DTC_DLL_SOURCES)

OpenLink.Testing.dll:
	cd ../harness; $(MAKE)
	cp ../harness/OpenLink.Testing.dll .

OpenLink.Data.Virtuoso.dll:
	cd ../../../VirtuosoClient.Net; $(MAKE)
	cp ../../../VirtuosoClient.Net/OpenLink.Data.Virtuoso.dll .

OpenLink.Data.VirtuosoClient.dll:
	cd ../../../VirtuosoClient.Net; $(MAKE)
	cp ../../../VirtuosoClient.Net/OpenLink.Data.VirtuosoClient.dll .

OpenLink.Data.VirtuosoOdbcClient.dll:
	cd ../../../VirtuosoClient.Net; $(MAKE)
	cp ../../../VirtuosoClient.Net/OpenLink.Data.VirtuosoOdbcClient.dll .

clean:
	rm -rf \
	  VirtuosoSuite.dll \
	  VirtuosoClientSuite.dll \
	  VirtuosoOdbcClientSuite.dll \
	  VirtuosoDtcSuite.dll \
	  VirtuosoDtcClientSuite.dll \
	  VirtuosoDtcOdbcClientSuite.dll \
	  OpenLink.Testing.dll \
	  OpenLink.Data.Virtuoso.dll \
	  OpenLink.Data.VirtuosoClient.dll \
	  OpenLink.Data.VirtuosoOdbcClient.dll

=== binsrc/tests/dotnet/harness/Makefile ===
#
# $Id: Makefile,v 1.1.1.1 2006/04/11 17:56:11 source Exp $
#

CSFLAGS=/optimize+
 
DLL_SOURCES=\
 AssemblyInfo.cs\
 OpenLink\\Testing\\Framework\\ComparisonException.cs\
 OpenLink\\Testing\\Framework\\ITest.cs\
 OpenLink\\Testing\\Framework\\ITestListener.cs\
 OpenLink\\Testing\\Framework\\TestCase.cs\
 OpenLink\\Testing\\Framework\\TestCaseAttribute.cs\
 OpenLink\\Testing\\Framework\\TestCaseResult.cs\
 OpenLink\\Testing\\Framework\\TestFailedException.cs\
 OpenLink\\Testing\\Framework\\TestResult.cs\
 OpenLink\\Testing\\Framework\\TestSkippedException.cs\
 OpenLink\\Testing\\Framework\\TestStatus.cs\
 OpenLink\\Testing\\Framework\\TestStatusCode.cs\
 OpenLink\\Testing\\Framework\\TestSuite.cs\
 OpenLink\\Testing\\Framework\\TestSuiteAttribute.cs\
 OpenLink\\Testing\\UI\\BaseTestRunner.cs\
 OpenLink\\Testing\\Util\\TestSettings.cs

CONSOLE_SOURCES=\
 OpenLink\\Testing\\UI\\ConsoleTestRunner.cs

all: OpenLink.Testing.dll ConsoleTestRunner.exe

OpenLink.Testing.dll: $(DLL_SOURCES) OpenLink.Testing.snk
	csc /target:library /out:$@ $(CSFLAGS) $(DLL_SOURCES)

ConsoleTestRunner.exe: $(CONSOLE_SOURCES) #OpenLink.Testing.dll
	csc /out:$@ /reference:OpenLink.Testing.dll $(CSFLAGS) $(CONSOLE_SOURCES)

OpenLink.Testing.snk:
	sn -k $@

install:
	gacutil -i OpenLink.Testing.dll

uninstall:
	gacutil -u OpenLink.Testing

clean:
	rm -rf OpenLink.Testing.dll ConsoleTestRunner.exe

=== debian/changelog ===
virtuoso-opensource (6.1.2) unstable; urgency=low

  * New release

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Fri Jul  9 17:37:40 CEST 2010

=== debian/control ===
Source: virtuoso-opensource
Section: misc
Priority: extra
Maintainer: OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>
Build-Depends: debhelper (>= 5), autotools-dev, autoconf (>= 2.57), automake (>= 1.9), libtool (>= 1.5), flex (>= 2.5.33), bison (>= 2.3), gperf (>= 2.7.2), gawk (>= 3.1.1), m4 (>= 1.4.1), make (>= 3.79.1), libssl-dev (>= 0.9.7), libreadline5-dev
Standards-Version: 3.7.2

Package: virtuoso-opensource
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://virtuoso.openlinksw.com/
Description: OpenLink Virtuoso Open-Source Edition
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
 .
 OpenLink Virtuoso supports SPARQL embedded into SQL for querying RDF
 data stored in Virtuoso's database. SPARQL benefits from low-level
 support in the engine itself, such as SPARQL-aware type-casting rules
 and a dedicated IRI data type.
